/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : jeu jui 11 21:59:30 CEST 2002
    copyright            : (C) 2002 by Francois Bochatay
    email                : francois.bochatay@epfl.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kaboutapplication.h>

#include "ks3switch.h"

static const char *description =
	I18N_NOOP("KS3Switch\nLet you use your external monitor (CRT)\nor your TV output of your S3 Savage3D card.\nIt's a frontend of the command-line utility s3switch.");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE


static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "ks3switch", I18N_NOOP("KS3Switch"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2002, Francois Bochatay", 0, 0, "francois.bochatay@epfl.ch");
  aboutData.addAuthor("Francois Bochatay",0, "francois.bochatay@epfl.ch");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  KS3Switch *ks3switch = new KS3Switch(new KAboutApplication(&aboutData));
  a.setMainWidget(ks3switch);
  ks3switch->show();

  return a.exec();
}
